using Assets.Scripts.Entities;
using UnityEngine;

namespace Assets.Scripts.Controllers
{
    internal class FloatingNumberController : BaseController<FloatingNumberController>
    {
        [SerializeField] private FloatingNumber _payTextPrefab;
        [SerializeField] private FloatingNumber _tipsTextPrefab;

        public void SpawnPayText(Vector3 position, int amount)
        {
            var floatingNumber = Instantiate(_payTextPrefab, position, Quaternion.identity);
            floatingNumber.Set($"+${amount}");
        }

        public void SpawnTipsText(Vector3 position, int amount)
        {
            var floatingNumber = Instantiate(_tipsTextPrefab, position, Quaternion.identity);
            floatingNumber.Set($"+${amount}");
        }
    }
}
